Subject: bug#15945: chown: Does now allow setting user and users login group with numerical user ID

From: Tormen <[email-masked]>
Date: Thu, 21 Nov 2013 12:50:40 +0100

Dear Gnu Team,

First off: Thanks for existing!! :)))

I think I just found a bug in chown... \o/ ;)

Details about my GNU/Linux system:
	Debian wheezy stable 7.2

	dpkg -S /bin/chown
	coreutils: /bin/chown

	dpkg -l|grep coreutils
	ii  coreutils      8.13-3.5    amd64   GNU core utilities

	uname -a
	Linux seven 3.10-0.bpo.3-amd64 #1 SMP Debian 3.10.11-1~bpo70+1
(2013-09-24) x86_64 GNU/Linux

	echo $SHELL
	/bin/zsh

I tried:
	chown 1001: /tmp/bla

Leading to:
	chown: invalid spec: `1001:'

But as 1001 == "me", it should have done a:
	chown me: /tmp/bla
(which works just fine).

Is this a bug or a feature ?

... it should be a bug except if there is a technical detail I am
missing here.

Best,

Tormen